petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMShellSetRefine

Set the routine used to refine the shell DM

### Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellSetRefine(DM dm, PetscErrorCode (*refine)(DM,MPI_Comm,DM*))

Logically Collective on DM

Input Arguments

| dm | - the shell DM
| refine | - the routine that refines the DM

### See Also

DMShellSetCoarsen(), DMRefine()

Level:advanced
Location:src/dm/impls/shell/dmshell.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages